- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# normalized_composition.hh File Reference

Composition for normalized and sub-normalized transducers seen as automata over a free monoid product. More...

Include dependency graph for normalized_composition.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename S, typename T>
void | compose (const Element< S, T > &lhs, const Element< S, T > &rhs, Element< S, T > &ret)
| Composition for weighted normalized and sub-normalized transducers, seen as automata over a free monoid product.
template<typename S, typename T>
Element< S, T > | compose (const Element< S, T > &lhs, const Element< S, T > &rhs)
| Composition for weighted normalized and sub-normalized transducers, seen as automata over a free monoid product.
template<typename S, typename T>
void | u_compose (const Element< S, T > &lhs, const Element< S, T > &rhs, Element< S, T > &ret)
| Unambiguous composition for weighted normalized and sub-normalized transducers, seen as automata over a free monoid product.
template<typename S, typename T>
Element< S, T > | u_compose (const Element< S, T > &lhs, const Element< S, T > &rhs)
| Unambiguous composition for weighted normalized and sub-normalized transducers, seen as automata over a free monoid product.

## Detailed Description

Composition for normalized and sub-normalized transducers seen as automata over a free monoid product.

Author:
  Sarah O'Connor <sarah.o-connor@lrde.epita.fr>

See also:
  compose()

  u_compose()

Definition in file normalized_composition.hh.